org.apache.tinkerpop.gremlin.structure.io

## Class IoPropertyTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.io.IoPropertyTest

-     public class IoPropertyTest
      extends AbstractGremlinTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `assertDouble`
    `boolean` | `assertIdDirectly`
    `String` | `ioType`
    `Function<Graph,GraphReader>` | `readerMaker`
    `Function<Graph,GraphWriter>` | `writerMaker`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IoPropertyTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Iterable<Object[]>` | `data()`
    `void` | `shouldReadWritePropertyGraphSON()`
    `void` | `shouldReadWriteVertexPropertyNoMetaProperties()`
    `void` | `shouldReadWriteVertexPropertyWithMetaProperties()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ioType

          public String ioType

    - #### assertIdDirectly

          public boolean assertIdDirectly

    - #### assertDouble

          public boolean assertDouble

    - #### readerMaker

          public Function<Graph,GraphReader> readerMaker

    - #### writerMaker

          public Function<Graph,GraphWriter> writerMaker

  - ### Constructor Detail

    - #### IoPropertyTest

          public IoPropertyTest()

  - ### Method Detail

    - #### data

          public static Iterable<Object[]> data()

    - #### shouldReadWriteVertexPropertyWithMetaProperties

          public void shouldReadWriteVertexPropertyWithMetaProperties()
                                                               throws Exception

      Throws:
        `Exception`

    - #### shouldReadWriteVertexPropertyNoMetaProperties

          public void shouldReadWriteVertexPropertyNoMetaProperties()
                                                             throws Exception

      Throws:
        `Exception`

    - #### shouldReadWritePropertyGraphSON

          public void shouldReadWritePropertyGraphSON()
                                               throws Exception

      Throws:
        `Exception`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.